import type { KoliBriModalEventCallbacks, LabelPropType, DrawerAPI, AlignPropType, OpenPropType, ModalPropType, DrawerStates } from '../../schema';
import type { JSX } from '../../stencil-public-runtime';
export declare class KolDrawer implements DrawerAPI {
    hostElement?: HTMLElement;
    private dialogElement?;
    private dialogWrapperElement?;
    open(): Promise<void>;
    close(): Promise<void>;
    private getWrapperRef;
    private renderDialogContent;
    private getRef;
    render(): JSX.Element;
    _open?: OpenPropType;
    _align?: AlignPropType;
    _label: LabelPropType;
    _modal?: ModalPropType;
    _on?: KoliBriModalEventCallbacks;
    state: DrawerStates;
    validateLabel(value?: LabelPropType): void;
    validateAlign(value?: AlignPropType): void;
    validateModal(value?: ModalPropType): void;
    validateOpen(value?: OpenPropType): Promise<void>;
    validateOn(value?: KoliBriModalEventCallbacks): void;
    private handleCloseDialog;
    private handleClose;
    private handleAnimationEnd;
    componentDidLoad(): void;
    disconnectedCallback(): void;
    componentWillLoad(): Promise<void>;
}
